JavascriptValidatorTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.taglib
Class JavascriptValidatorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.faces.taglib.JavascriptValidatorTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class JavascriptValidatorTag

extends BodyTagSupport

Custom tag that generates JavaScript for client side validation based on the validation rules loaded by the `ValidatorPlugIn` defined in the struts-config.xml file. This is based on the code in the corresponding class of the Struts HTML tag library, modified as needed to reflect differences in the way JavaServer Faces renders field identifiers.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected String` | `bundle` The servlet context attribute key for our resources.
`protected String` | `cdata` Hide JavaScript methods in a CDATA section for XHTML when "true".
`protected static Locale` | `defaultLocale` Deprecated. This variable is no longer used.
`protected String` | `dynamicJavascript` The dynamic JavaScript objects will only be generated if this is set to "true".
`protected String` | `formName` The name of the form that corresponds with the action name in struts-config.xml.
`protected String` | `htmlComment` The JavaScript methods will enclosed with html comments if this is set to "true".
`protected static String` | `lineEnd` The line ending string.
`protected String` | `methodName` This will be used as is for the JavaScript validation method name if it has a value.
`protected int` | `page` The current page number of a multi-part form.
`protected String` | `src` The src attribute for html script element (used to include an external script resource).
`protected String` | `staticJavascript` The static JavaScript methods will only be printed if this is set to "true".

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JavascriptValidatorTag()`

Method Summary
`int` | `doStartTag()` Render the JavaScript for to perform validations based on the form name.
`String` | `getCdata()` Returns the cdata setting "true" or "false".
`String` | `getDynamicJavascript()` Gets whether or not to generate the dynamic JavaScript.
`String` | `getFormName()` Gets the key (form name) that will be used to retrieve a set of validation rules to be performed on the bean passed in for validation.
`String` | `getHtmlComment()` Gets whether or not to delimit the JavaScript with html comments.
`protected String` | `getJavascriptBegin(String methods)` Returns the opening script element and some initial javascript.
`protected String` | `getJavascriptEnd()` Returns the closing script element.
`protected String` | `getJavascriptStaticMethods(ValidatorResources resources)`
`String` | `getMethod()` Gets the method name that will be used for the Javascript validation method name if it has a value.
`int` | `getPage()` Gets the current page number of a multi-part form.
`String` | `getSrc()` Gets the src attribute's value when defining the html script element.
`String` | `getStaticJavascript()` Gets whether or not to generate the static JavaScript.
`void` | `release()` Release any acquired resources.
`void` | `setCdata(String cdata)` Sets the cdata status.
`void` | `setDynamicJavascript(String dynamicJavascript)` Sets whether or not to generate the dynamic JavaScript.
`void` | `setFormName(String formName)` Sets the key (form name) that will be used to retrieve a set of validation rules to be performed on the bean passed in for validation.
`void` | `setHtmlComment(String htmlComment)` Sets whether or not to delimit the JavaScript with html comments.
`void` | `setMethod(String methodName)` Sets the method name that will be used for the Javascript validation method name if it has a value.
`void` | `setPage(int page)` Sets the current page number of a multi-part form.
`void` | `setSrc(String src)` Sets the src attribute's value when defining the html script element.
`void` | `setStaticJavascript(String staticJavascript)` Sets whether or not to generate the static JavaScript.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### bundle

    protected String bundle

  The servlet context attribute key for our resources.

### defaultLocale

    protected static Locale defaultLocale

  Deprecated. This variable is no longer used.
  The default locale on our server.

### formName

    protected String formName

  The name of the form that corresponds with the action name in struts-config.xml. Specifying a form name places a <script> </script> around the javascript.

### lineEnd

    protected static String lineEnd

  The line ending string.

### page

    protected int page

  The current page number of a multi-part form. Only valid when the formName attribute is set.

### methodName

    protected String methodName

  This will be used as is for the JavaScript validation method name if it has a value. This is the method name of the main JavaScript method that the form calls to perform validations.

### staticJavascript

    protected String staticJavascript

  The static JavaScript methods will only be printed if this is set to "true".

### dynamicJavascript

    protected String dynamicJavascript

  The dynamic JavaScript objects will only be generated if this is set to "true".

### src

    protected String src

  The src attribute for html script element (used to include an external script resource). The src attribute is only recognized when the formName attribute is specified.

### htmlComment

    protected String htmlComment

  The JavaScript methods will enclosed with html comments if this is set to "true".

### cdata

    protected String cdata

  Hide JavaScript methods in a CDATA section for XHTML when "true".

Constructor Detail

### JavascriptValidatorTag

    public JavascriptValidatorTag()

Method Detail

### getFormName

    public String getFormName()

  Gets the key (form name) that will be used to retrieve a set of validation rules to be performed on the bean passed in for validation.

### setFormName

    public void setFormName(String formName)

  Sets the key (form name) that will be used to retrieve a set of validation rules to be performed on the bean passed in for validation. Specifying a form name places a <script> </script> tag around the javascript.

### getPage

    public int getPage()

  Gets the current page number of a multi-part form. Only field validations with a matching page numer will be generated that match the current page number. Only valid when the formName attribute is set.

### setPage

    public void setPage(int page)

  Sets the current page number of a multi-part form. Only field validations with a matching page numer will be generated that match the current page number. Only valid when the formName attribute is set.

### getMethod

    public String getMethod()

  Gets the method name that will be used for the Javascript validation method name if it has a value. This overrides the auto-generated method name based on the key (form name) passed in.

### setMethod

    public void setMethod(String methodName)

  Sets the method name that will be used for the Javascript validation method name if it has a value. This overrides the auto-generated method name based on the key (form name) passed in.

### getStaticJavascript

    public String getStaticJavascript()

  Gets whether or not to generate the static JavaScript. If this is set to 'true', which is the default, the static JavaScript will be generated.

### setStaticJavascript

    public void setStaticJavascript(String staticJavascript)

  Sets whether or not to generate the static JavaScript. If this is set to 'true', which is the default, the static JavaScript will be generated.

### getDynamicJavascript

    public String getDynamicJavascript()

  Gets whether or not to generate the dynamic JavaScript. If this is set to 'true', which is the default, the dynamic JavaScript will be generated.

### setDynamicJavascript

    public void setDynamicJavascript(String dynamicJavascript)

  Sets whether or not to generate the dynamic JavaScript. If this is set to 'true', which is the default, the dynamic JavaScript will be generated.

### getHtmlComment

    public String getHtmlComment()

  Gets whether or not to delimit the JavaScript with html comments. If this is set to 'true', which is the default, the htmlComment will be surround the JavaScript.

### setHtmlComment

    public void setHtmlComment(String htmlComment)

  Sets whether or not to delimit the JavaScript with html comments. If this is set to 'true', which is the default, the htmlComment will be surround the JavaScript.

### getSrc

    public String getSrc()

  Gets the src attribute's value when defining the html script element.

### setSrc

    public void setSrc(String src)

  Sets the src attribute's value when defining the html script element. The src attribute is only recognized when the formName attribute is specified.

### doStartTag

    public int doStartTag()
                   throws JspException

  Render the JavaScript for to perform validations based on the form name.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Throws:
    `JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`

### getJavascriptBegin

    protected String getJavascriptBegin(String methods)

  Returns the opening script element and some initial javascript.

### getJavascriptStaticMethods

    protected String getJavascriptStaticMethods(ValidatorResources resources)

### getJavascriptEnd

    protected String getJavascriptEnd()

  Returns the closing script element.

### getCdata

    public String getCdata()

  Returns the cdata setting "true" or "false".

  Returns:
    String - "true" if JavaScript will be hidden in a CDATA section

### setCdata

    public void setCdata(String cdata)

  Sets the cdata status.

  Parameters:
    `cdata` - The cdata to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.